Subject: Re: bug#25426: Copyright Assignment Completed

From: Andrew Robbins <[email-masked]>
Date: Sat, 06 May 2017 07:05:03 -0400

Eli Zaretskii <[email-masked]> writes:

>> Date: Sat, 06 May 2017 10:16:58 +0300
>> From: Eli Zaretskii <[email-masked]>
>> Cc: [email-masked]
>> 
>> Would people please look at the proposed patch and comment?  I will
>> push to master in a few days if there are no comments.
>
> Some minor comments of my own:

> Please mention the bug number in the log message, for reference.
>
>> +(defcustom dig-program-options nil
>> +  "Options for the dig program."
>> +  :group 'net-utils
>> +  :type '(repeat string))
>
> When you introduce new defcustoms, please provide a :version tag whose
> value is the first Emacs version where this defcustom will be
> available (26.1 in this case).

>> +(defun nslookup-host (host &optional name-server)
>> +  "Look up the DNS information for HOST (name or IP address).
>> +When called interactively, DNS resolver NAME-SERVER may be specified
>> +by passing the function a prefix argument."
>
> Our standard wording for such optional behavior is like this:
>
>     Look up the DNS information for HOST (name or IP address).
>   Optional argument NAME-SERVER says which server to use for
>   DNS resolution.
>   Interactively, prompt for NAME-SERVER if  invoked with prefix argument.
>
>> +(defun dns-lookup-host (host &optional name-server)
>
> Same here.
>
>> +(defun run-dig (host &optional name-server)
>
> And here.

> Finally, please add a NEWS entry to describe these new features.
>
> Thanks for working on this.

No problem--I'll have those changes made and posted back here
within the next 24 hours.  If anyone else gives additional
feedback, I'll include those suggestions in the revised patch as
well.

'Til then.